m4-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: branch-1_4 - platform recognition macro


From: Eric Blake
Subject: Re: branch-1_4 - platform recognition macro
Date: Sun, 02 Jul 2006 16:45:27 -0600
User-agent: Thunderbird 1.5.0.4 (Windows/20060516)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


According to Eric Blake on 6/30/2006 9:05 AM:
> 
> 2006-06-30  Eric Blake  <address@hidden>
>
...
>       * checks/check-them: Improve trap cleanup.  Tolerate dirname and
>       .exe in error messages.  Allow for skipping checks.

This portion of the patch...

Index: checks/check-them
===================================================================
RCS file: /sources/m4/m4/checks/Attic/check-them,v
retrieving revision 1.1.1.1.2.2
diff -u -p -r1.1.1.1.2.2 check-them
- --- checks/check-them 11 May 2006 12:56:19 -0000      1.1.1.1.2.2
+++ checks/check-them   30 Jun 2006 15:02:47 -0000
@@ -2,19 +2,45 @@
 # Check GNU m4 against examples from the manual source.
 # Copyright (C) 1992, 2006 Free Software Foundation, Inc.

- -out=/tmp/m4-out.$$
- -err=/tmp/m4-err.$$
- -xout=/tmp/m4-xout.$$
- -xerr=/tmp/m4-xerr.$$
+# Sanity check what we are testing
+m4 --version

- -trap "rm -f $out $err $xout $xerr; exit 1" 1 2 15
+# Clean up temp files on exit
+pwd=`pwd`
+tmp=m4-tmp.$$
+trap 'stat=$?; cd $pwd; rm -rf $tmp && exit $stat' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+# Create scratch dir
+framework_failure=0
+mkdir $tmp || framework_failure=1

...breaks 'make distcheck' because check-them was being executed in a
read-only directory.  I would have noticed sooner, had it not been for a
cygwin bug that Windows allows the creation of subdirectories (but not
files) inside a read-only directory.  I also figured out why 'make
installcheck' was not working.

2006-07-02  Eric Blake  <address@hidden>

        * checks/Makefile.in (exec_prefix, prefix): New macros, so that
        $(bindir) works in installcheck.
        (check, installcheck): No longer change directory, so that
        distcheck works with a read-only builddir.
        * checks/check-them: Work when pwd is no longer builddir.

- --
Life is short - so eat dessert first!

Eric Blake             address@hidden
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.1 (Cygwin)
Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFEqEyG84KuGfSFAYARAoZFAKCgD9n7uc//F6rcYZAQZzIIpSRmaQCgqGkm
wMfL0rK58QgKNQ3ZzNzCOSU=
=hwjc
-----END PGP SIGNATURE-----
Index: checks/Makefile.in
===================================================================
RCS file: /sources/m4/m4/checks/Attic/Makefile.in,v
retrieving revision 1.1.1.1.2.7
diff -u -p -r1.1.1.1.2.7 Makefile.in
--- checks/Makefile.in  18 Jun 2006 21:52:59 -0000      1.1.1.1.2.7
+++ checks/Makefile.in  2 Jul 2006 22:39:11 -0000
@@ -22,6 +22,8 @@ VERSION = @VERSION@
 SHELL = /bin/sh
 
 bindir = @bindir@
+exec_prefix = @exec_prefix@
+prefix = @prefix@
 srcdir = @srcdir@
 VPATH = @srcdir@
 PATH_SEPARATOR = @PATH_SEPARATOR@
@@ -50,11 +52,11 @@ uninstall:
 
 check: stamp-checks
        PATH=`pwd`/../src"$(PATH_SEPARATOR)"$$PATH; export PATH; \
-       cd $(srcdir) && ./check-them $(CHECKS)
+       $(srcdir)/check-them -I $(srcdir)/../examples $(CHECKS)
 
 installcheck: stamp-checks
        PATH='$(bindir)'"$(PATH_SEPARATOR)"$$PATH; export PATH; \
-       cd $(srcdir) && ./check-them $(CHECKS)
+       $(srcdir)/check-them -I $(srcdir)/../examples $(CHECKS)
 
 tags:
 
Index: checks/check-them
===================================================================
RCS file: /sources/m4/m4/checks/Attic/check-them,v
retrieving revision 1.1.1.1.2.4
diff -u -p -r1.1.1.1.2.4 check-them
--- checks/check-them   30 Jun 2006 18:58:11 -0000      1.1.1.1.2.4
+++ checks/check-them   2 Jul 2006 22:39:11 -0000
@@ -31,11 +31,18 @@ skipped=
 m4=`m4 --help | sed -e 's/Usage: \(.*\) \[OPTION.*/\1/' \
     -e 's/\\\\/\\\\\\\\/g' -e 1q`
 
-# Run the tests.  This assumes pwd is the checks directory.
+# Find out where the examples live.
+examples=
+if test "x$1" = x-I ; then
+  examples="$1 $2"
+  shift; shift
+fi
+
+# Run the tests.
 for file
 do
   echo "Checking $file"
-  LC_MESSAGES=C m4 -d -I ../examples $file >$out 2>$err
+  LC_MESSAGES=C m4 -d $examples $file >$out 2>$err
 
   if test $? == 77 ; then
     skipped="$skipped $file"

reply via email to

[Prev in Thread] Current Thread [Next in Thread]